#ifndef GAUSSQUADRATURE_H_
#define GAUSSQUADRATURE_H_
#include "Function.h"
#include<iostream>

class GaussQuadrature
{
public:
	GaussQuadrature(function1d f);
	virtual ~GaussQuadrature();
	double integrate(double a, double b, int n);
	
private:
	function1d f;
	double *points;
	double *weights;
	bool getQuadraturePoints(int n);
	
};


#endif /*GAUSSQUADRATURE_H_*/
