#include "MatrixFileHandler.h"

MatrixFileHandler::~MatrixFileHandler()
{
	fclose(f);
}

bool MatrixFileHandler::readMatrixFile(string fileName, double **destMatrix, int numLines, int numCols){

	f = fopen(fileName.c_str(),"r");
	
	if(destMatrix == NULL) {
		cout << "error readMatrixFile, alocate space for destMatrix" << endl;
		return false;
	}
	
	if(f == NULL) {
		cout << "error readMatrixFile, could't open file " << fileName << endl;
		return false;
	}
		

	double element;
	for(int i = 0; i < numLines; ++i) {
		for(int j = 0; j < numCols; ++j) {
		
			fscanf(f,"%lf", &element);
			destMatrix[i][j] = element;
			
		}		
	}
	return true;
}

bool MatrixFileHandler::writeMatrixFile(string fileName, double **srcMatrix, int numLines, int numCols){

	f = fopen(fileName.c_str(),"w");
	
	if(srcMatrix == NULL) {
		cout << "error readMatrixFile, alocate space for srcMatrix" << endl;
		return false;
	}
	
	if(f == NULL) {
		cout << "error readMatrixFile, could't open file " << fileName << endl;
		return false;
	}		

	double element;
	for(int i = 0; i < numLines; ++i) {
		for(int j = 0; j < numCols; ++j) {			
			element = srcMatrix[i][j];		
			fprintf(f,"%lf ", element);			
		}
			fprintf(f,"\n");				
	}
	return true;
}
