#ifndef TRIDIAGONALSOLVER_H_
#define TRIDIAGONALSOLVER_H_
#include "TridiagonalMatrix.h"
#include "Vector.h"
#include<iostream>

using namespace std;

class TridiagonalSolver
{
public:
	TridiagonalSolver(){};
	TridiagonalSolver(TridiagonalMatrix &A, Vector &b);
	virtual ~TridiagonalSolver();
	void setMatrixA(TridiagonalMatrix &A);
	void setVectorB(Vector &b);
	Vector gaussElimination();

private:
	TridiagonalMatrix A;	
	Vector b;

};

#endif /*TRIDIAGONALSOLVER_H_*/
