//////////////////////////////////////////////////////////////////
//                                                              //
//   Project: GeomForge                                         //
//   Author: Martin Samuelcik                                   //
//   File: gfAuxLogging.h                                       //
//   Description: Logging engine for displaying status & errors //
//                                                              //
//////////////////////////////////////////////////////////////////

#ifndef _GF_AUX_LOGGING_H_
#define _GF_AUX_LOGGING_H_

#include "gfDefines.h"

static char* m_log_file = 0;
static gfInt m_log_type = 0;
static gfBool m_logging_enabled = true;

void gfSetLogType(gfInt log_type);
void gfSetLogFile(char* log_file);
void gfEnableLogging(void);
void gfDisableLogging(void);
void gfLog(const char *format, ...);

#endif
