//////////////////////////////////////////////////////////////////
//                                                              //
//   Project: GeomForge                                         //
//   Author: Martin Samuelcik                                   //
//   File: gfWinView.h                                          //
//   Description: Camera view for OGL window                    //
//                                                              //
//////////////////////////////////////////////////////////////////


#ifndef _GF_WIN_VIEW_H_
#define _GF_WIN_VIEW_H_


#include "gfDefines.h"
#include "gfScnCamera.h"


class gfWinView
{
public:
    gfScnCamera* m_camera;

    gfInt m_left;
    gfInt m_bottom;
    gfInt m_width;
    gfInt m_height;

    gfWinView(void);
    GFRESULT SetOGLViewport(void);
    gfBool IsPointInside(gfDouble px, gfDouble py);
};



#endif