#ifndef _IDENTITYMATRIX_H_
#define _IDENTITYMATRIX_H_

#include "Matrix.h"

//! An nxn Identity Matrix.
/*!
A class that represents a nxn Identity Matrix of doubles
*/

class IdentityMatrix:public Matrix
{
public:
	//! Constructor.
	/*!
		 Construct a Identity Matrix numLinesXnumCols
		\param numLines lines number of the matrix
		\param numCols columns number of the matrix
	*/
	IdentityMatrix(int numLines = 1,int numCols = 1);
	
};

#endif //_IDENTITYMATRIX_H_
