#include "VectorFileHandler.h"

VectorFileHandler::~VectorFileHandler()
{
	fclose(f);
}


bool VectorFileHandler::readVectorFile(string fileName, double *destVector, int size){

	f = fopen(fileName.c_str(),"r");
	
	if(destVector == NULL) {
		cout << "error readVectorFile, alocate space for destVector" << endl;
		return false;
	}
	
	if(f == NULL) {
		cout << "error readVectorFile, could't open file " << fileName << endl;
		return false;
	}		

	double element;
	
	for(int i = 0; i < size; ++i) {
		fscanf(f,"%lf", &element);
		destVector[i] = element;				
	}
	return true;
}

bool VectorFileHandler::writeVectorFile(string fileName, double *srcVector, int size){

	f = fopen(fileName.c_str(),"w");
	
	if(srcVector == NULL) {
		cout << "error readVectorFile, alocate space for destVector" << endl;
		return false;
	}
	
	if(f == NULL) {
		cout << "error readVectorFile, could't open file " << fileName << endl;
		return false;
	}		

	double element;
	for(int i = 0; i < size; ++i) {		
			element = srcVector[i];		
			fprintf(f,"%lf ", element);			
		}
	return true;
}
